public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentnl@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/Net-DNS/
Date: Fri, 24 Mar 2017 14:03:50 +0000 (UTC)	[thread overview]
Message-ID: <1490364221.06a63827df26c3807e251b5a30949b9c2439f1bf.kentnl@gentoo> (raw)

commit:     06a63827df26c3807e251b5a30949b9c2439f1bf
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 24 14:02:49 2017 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Fri Mar 24 14:03:41 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06a63827

dev-perl/Net-DNS: Bump to version 1.90.0 re bug #613720

Upstream:
- Fix '.' in @INC issues
- Add mechanism to encode/decode EDNS option octet strings

Bug: https://bugs.gentoo.org/613720
Package-Manager: Portage-2.3.4, Repoman-2.3.2

 dev-perl/Net-DNS/Manifest              |  1 +
 dev-perl/Net-DNS/Net-DNS-1.90.0.ebuild | 59 ++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-perl/Net-DNS/Manifest b/dev-perl/Net-DNS/Manifest
index 15f37282034..5dc092fe616 100644
--- a/dev-perl/Net-DNS/Manifest
+++ b/dev-perl/Net-DNS/Manifest
@@ -1,3 +1,4 @@
 DIST Net-DNS-1.04.tar.gz 245064 SHA256 4b9f220304c5722658fbdbe4db31ab77486b5f0aaada78c9d1b528e4b0680965 SHA512 ff32c1bf52e553fcd64f8a0f9fcd30f6eae4e1350c4c5c97da3b745f1713acd75533694ec834e1b1e9bee0a13b7a8ee0c347dfaa36433052f020e41e36829d59 WHIRLPOOL 5c09639ffc7bdaac4625bf9fc592c6109b43ebb7ab0eed29b9bb7cc42d35f155736a9125787adabb3ee47fb2374189b9d940ea6bf626fa8d837cd5be2511ea83
 DIST Net-DNS-1.07.tar.gz 256114 SHA256 5f91497f1af9f690153fa05a27a7d73ddada08bed40536fe2d0ac759b7af8492 SHA512 048cf6c4fb5e8c5721f5c43cc6f3f93189854c54745ab569b2537a1765cbbe4c360b484290d3151a0d0875b8e8a63b15a4ec97cda7f723f5b7be0078f903fb9f WHIRLPOOL 17c6ce70591f1f98b5c266b6884527dbdefd9fabb74ad0c451e752b14501bb7ab09a08d3403904fc985f0e6eb0e10a10378e9b544e03386930a7408f94fe4fa9
 DIST Net-DNS-1.08.tar.gz 257625 SHA256 56113a5604d1d47a2e0b35e01f5ac0a2af9e5275b815549d032a46195637c7a1 SHA512 a0af812f8a21599070c01a0623f1472da1fffbdcf19fba2debd9bc9d84e59149d3db216da8b26206ce64d305706d78d0c05bb6a8ced1ed8df27813bd0f94d70f WHIRLPOOL 5b9241e17e728e014786d8846207c83a7551f804f8e513dea8b83dfc2bae2001c92a7df58a9545040efdad001eddf6599f93c0781868ffd23ad8842d004ab170
+DIST Net-DNS-1.09.tar.gz 259772 SHA256 fec9b0c74b8fea5e41914339281ffd773ddd0ae3b5cfd532d2ac0c09618b7c0a SHA512 82dbdf9e38992fab34687a204520d7311d688830aadee329039595d0ac52d4c485cc90b1388af3abfa4c16c70aa619b22c6cded264807cd759898de5e3b76273 WHIRLPOOL c3c7e597c6fef46df8affd2cb5890836a544b99f2cff97e28fe4b114293d2cee64ed9d861d79e348004a4f0a51811e474b01b91aba9019d6b4659803a7615798

diff --git a/dev-perl/Net-DNS/Net-DNS-1.90.0.ebuild b/dev-perl/Net-DNS/Net-DNS-1.90.0.ebuild
new file mode 100644
index 00000000000..9e6831b75f4
--- /dev/null
+++ b/dev-perl/Net-DNS/Net-DNS-1.90.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=NLNETLABS
+DIST_VERSION=1.09
+DIST_EXAMPLES=( "contrib" "demo" )
+inherit toolchain-funcs perl-module
+
+DESCRIPTION="Perl Net::DNS - Perl DNS Resolver Module"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~x86"
+IUSE="+ipv6 test minimal"
+
+PDEPEND="!minimal? ( >=dev-perl/Net-DNS-SEC-1.10.0 )"
+RDEPEND="
+	>=dev-perl/Digest-HMAC-1.30.0
+	>=virtual/perl-Digest-MD5-2.130.0
+	>=virtual/perl-Digest-SHA-5.230.0
+	>=virtual/perl-File-Spec-0.860.0
+	>=virtual/perl-MIME-Base64-2.110.0
+	>=virtual/perl-Time-Local-1.190.0
+	ipv6? (
+		|| (
+			>=virtual/perl-IO-Socket-IP-0.320.0
+			>=dev-perl/IO-Socket-INET6-2.510.0
+		)
+	)
+	!minimal? (
+		>=dev-perl/Digest-BubbleBabble-0.10.0
+		>=dev-perl/Digest-GOST-0.60.0
+		>=dev-perl/Net-LibIDN-0.120.0
+		>=virtual/perl-Scalar-List-Utils-1.250.0
+	)
+"
+DEPEND="${RDEPEND}
+	virtual/perl-ExtUtils-MakeMaker
+	test? (
+		>=virtual/perl-Test-Simple-0.520.0
+	)
+"
+
+src_prepare() {
+	perl-module_src_prepare
+	mydoc="TODO"
+	# --IPv6-tests requires that you have external IPv6 connectivity
+	# as it connects to 2001:7b8:206:1:0:1234:be21:e31e
+	myconf="${myconf} --no-online-tests --no-IPv6-tests"
+}
+
+src_compile() {
+	emake FULL_AR="$(tc-getAR)" OTHERLDFLAGS="${LDFLAGS}"
+}
+src_test() {
+	perl_rm_files t/00-pod.t
+	perl-module_src_test
+}


             reply	other threads:[~2017-03-24 14:03 UTC|newest]

Thread overview: 108+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-24 14:03 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-05 23:31 [gentoo-commits] repo/gentoo:master commit in: dev-perl/Net-DNS/ Jakov Smolić
2025-03-05 23:31 Jakov Smolić
2025-03-03 20:52 Sam James
2025-03-03 20:34 Sam James
2025-02-26  7:45 Sam James
2025-01-18  7:11 Arthur Zamarin
2025-01-12 13:16 Sam James
2025-01-12 13:00 Sam James
2025-01-12 12:58 Sam James
2025-01-12 12:58 Sam James
2025-01-12 12:58 Sam James
2025-01-12 12:58 Sam James
2024-11-14  2:47 Sam James
2024-11-14  2:47 Sam James
2024-11-14  2:47 Sam James
2024-11-14  2:47 Sam James
2024-11-14  2:47 Sam James
2024-11-14  2:47 Sam James
2024-10-14  3:50 Sam James
2024-06-09 21:18 Sam James
2024-06-09 21:18 Sam James
2024-05-03  4:15 Sam James
2023-08-31  4:40 Sam James
2023-07-27 10:22 WANG Xuerui
2023-06-21  9:12 Arthur Zamarin
2023-06-21  9:12 Arthur Zamarin
2023-06-21  9:12 Arthur Zamarin
2023-06-21  8:18 Arthur Zamarin
2023-06-21  8:18 Sam James
2023-06-21  8:18 Sam James
2023-06-21  8:16 Arthur Zamarin
2023-06-02 22:35 Sam James
2023-05-10 18:49 Sam James
2023-03-14  2:00 Sam James
2022-12-18 11:47 Sam James
2022-12-18 11:44 Sam James
2022-06-01  2:06 Sam James
2022-02-19 12:02 Arthur Zamarin
2022-02-19 12:02 Arthur Zamarin
2022-02-19  9:13 Arthur Zamarin
2022-02-19  8:11 Arthur Zamarin
2022-02-19  7:19 Arthur Zamarin
2022-02-19  3:41 Sam James
2022-02-19  3:02 Sam James
2021-11-20 17:59 Andreas K. Hüttel
2021-11-20 17:59 Andreas K. Hüttel
2021-08-26 14:55 Sam James
2021-08-26 14:52 Sam James
2021-08-25 16:26 Sam James
2021-08-25  6:00 Agostino Sarubbo
2021-08-25  5:25 Agostino Sarubbo
2021-07-15 22:18 Sergei Trofimovich
2021-07-13 20:05 Sam James
2021-07-12  6:41 Sam James
2021-07-12  1:18 Sam James
2021-07-12  1:16 Sam James
2021-07-12  1:06 Sam James
2021-07-11 21:59 Andreas K. Hüttel
2021-07-11 20:15 Andreas K. Hüttel
2020-07-18  5:07 Kent Fredric
2020-07-06  2:51 Matt Turner
2020-05-22 19:22 Robin H. Johnson
2020-04-15  7:08 Agostino Sarubbo
2020-04-14 15:45 Agostino Sarubbo
2020-04-14 14:03 Agostino Sarubbo
2020-04-12 18:27 Sergei Trofimovich
2020-04-12 11:39 Mart Raudsepp
2020-04-12  9:34 Sergei Trofimovich
2019-10-12 11:35 Andreas K. Hüttel
2019-04-01 19:33 Andreas Sturmlechner
2018-12-22 16:50 Andreas K. Hüttel
2018-12-22 16:50 Andreas K. Hüttel
2018-10-27 12:31 Fabian Groffen
2018-08-20  7:15 Mikle Kolyada
2018-08-20  3:54 Mikle Kolyada
2018-04-28  6:02 Matt Turner
2018-03-26  5:28 Matt Turner
2018-01-05  7:32 Sergei Trofimovich
2017-12-31 21:37 Sergei Trofimovich
2017-12-25 11:42 Markus Meier
2017-12-21 13:40 Sergei Trofimovich
2017-12-09 11:31 Sergei Trofimovich
2017-12-08 23:31 Sergei Trofimovich
2017-12-05  8:45 Sergei Trofimovich
2017-12-04  1:46 Kent Fredric
2017-11-24 22:40 Sergei Trofimovich
2017-11-24 22:25 Sergei Trofimovich
2017-11-24  6:15 Markus Meier
2017-11-09  0:07 Matt Turner
2017-11-07 22:52 Sergei Trofimovich
2017-10-29 10:45 Sergei Trofimovich
2017-09-19 19:29 Sergei Trofimovich
2017-08-11 22:53 Sergei Trofimovich
2017-06-29  8:06 Agostino Sarubbo
2017-05-29 23:24 Kent Fredric
2017-05-25 20:04 Michael Weber
2017-04-19  7:02 Jeroen Roovers
2017-04-05 10:50 Michael Weber
2017-03-20 22:45 Kent Fredric
2017-03-15 18:54 Matt Turner
2017-02-20 17:51 Markus Meier
2017-01-26 16:08 Tobias Klausmann
2017-01-07 21:14 Kent Fredric
2016-08-04 20:43 Kent Fredric
2016-04-02 12:45 Agostino Sarubbo
2016-03-30 23:19 Andreas Hüttel
2015-12-26 12:53 Andreas Hüttel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1490364221.06a63827df26c3807e251b5a30949b9c2439f1bf.kentnl@gentoo \
    --to=kentnl@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox